Skip to main content
GET
Get a reporter run

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Path Parameters

reporter_run_id
string
required

Reporter run to retrieve.

Pattern: ^rrun_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response

Successful Response

id
string
required

Reporter run ID.

status
enum<string>
required

Current run status.

Available options:
pending,
running,
completed,
failed,
cancelled
reporter_version_id
string
required

Reporter version executed by this run.

subject
Subject · object
required

Resource supplied to the reporter.

status_url
string
required

Relative URL for retrieving the current run state.

output_url
string | null
required

Relative output-list URL after the run completes, otherwise null.

trace_url
string
required

Relative URL for downloading the run trace.

usage
Usage · object | null
required

Recorded resource usage.

output_parts
ReporterOutputPublic · object[] | null
required

Output metadata after the run completes, otherwise null.

created_at
string<date-time>
required

Time the run was created.

running_at
string<date-time> | null
required

Time execution started, if it has started.

completed_at
string<date-time> | null
required

Time execution ended, if it has ended.

error
string | null
required

Run error message, or null when no error was recorded.